/*This file aggregates homework index to 2 digit SOC. Aggregated index values are saved as scalar values and used in calculating MSOA values in main file*/ 

preserve
clear
 use "$directory\LFS_2017-2020.dta" 
 do "$directory\homework_assign"
 
 gen SOCtemp = SOC10M
 tostring SOCtemp, replace
 gen SOC2d = substr(SOCtemp, 1 , 2)
 destring SOC2d, replace
 drop SOCtemp
 
 replace SOC2d=. if SOC2d<0
 
 
	collapse (mean) homework, by(SOC2d)
	gen dummy=1
	 drop if missing(SOC2d)	 
	 reshape wide homework, i(dummy) j(SOC2d)
	 
	 global SOC2D = "11 12 21 22 23 24 31 32 33 34 35 41 42 51 52 53 54 61 62 71 72 81 82 91 92"

 foreach occ in $SOC2D{
	scalar HW`occ' = homework`occ'
	}
 
 capture scalar drop HW
 restore
